<div fxLayoutAlign="center center">
    <mat-card fxFlex.lg="600px">
        <mat-card-header>
            <mat-card-title>Register Form</mat-card-title>
        </mat-card-header>
        <mat-card-content>
            <form [formGroup]="registerForm" (submit)="onRegisterSubmit()">
                <div fxLayout="column">
                    <mat-form-field appearance="standard">
                        <mat-label>Email</mat-label>
                        <input matInput placeholder="กรุณาระบุอีเมล์" formControlName="email">
                        <mat-icon matSuffix>mail</mat-icon>
                    </mat-form-field>
                    <mat-form-field appearance="standard">
                        <mat-label>Code</mat-label>
                        <input matInput placeholder="กรุณาระบุเลขบัตร" formControlName="code">
                        <mat-icon matSuffix>contact_mail</mat-icon>
                    </mat-form-field>
                    <mat-form-field appearance="standard">
                        <mat-label>Name</mat-label>
                        <input matInput placeholder="กรุณาระบุชื่อ" formControlName="name">
                        <mat-icon matSuffix>person</mat-icon>
                    </mat-form-field>
                    <mat-form-field appearance="standard">
                        <mat-label>Password</mat-label>
                        <input matInput placeholder="กรุณาระบุรหัสผ่าน" formControlName="pwd">
                        <mat-icon matSuffix>lock</mat-icon>
                    </mat-form-field>

                    <button mat-raised-button color="primary">Register</button>
                </div>
            </form>
        </mat-card-content>
    </mat-card>
</div>